CMSIS-DSP: Support Functions

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Functions
Support Functions

## Content

| Vector sorting algorithms
| Vector Copy
| Vector Fill
| Convert 32-bit floating point value
| Convert 16-bit Integer value
| Convert 32-bit Integer value
| Convert 8-bit Integer value
| Cubic Spline Interpolation

## Functions

void | arm_barycenter_f32 (const float32_t *in, const float32_t *weights, float32_t *out, uint32_t nbVectors, uint32_t vecDim)
| Barycenter. More...
float32_t | arm_weighted_sum_f32 (const float32_t *in, const float32_t *weigths, uint32_t blockSize)
| Weighted sum. More...

## Description

## Function Documentation

void arm_barycenter_f32 | ( | const float32_t * | in,
|  | const float32_t * | weights,
|  | float32_t * | out,
|  | uint32_t | nbVectors,
|  | uint32_t | vecDim
| ) |  |

Parameters

  [in] | *in | List of vectors
  [in] | *weights | Weights of the vectors
  [out] | *out | Barycenter
  [in] | nbVectors | Number of vectors
  [in] | vecDim | Dimension of space (vector dimension)

Returns
  None

float32_t arm_weighted_sum_f32 | ( | const float32_t * | in,
|  | const float32_t * | weigths,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *in | Array of input values.
  [in] | *weigths | Weights
  [in] | blockSize | Number of samples in the input array.

Returns
  Weighted sum